package allgemein.core;

import java.util.HashMap;

public class CalculatorState {

	public static final int NEW_ROUND=10;
	//ROUND -> int
	
	public static final int WORKLIST_CREATED=20;
	//SIZE -> int
	
	public static final int CALCULATION_FINISHED_SUCCESS=30;
	//KEYLIST -> KeyList
	//K1 -> int
	//K2 -> int
	
	public static final int CALCULATION_FINISHED_NORESULTS=40;
	//K1 -> int
	//K2 -> int
	
	public static final int CALCULATION_FINISHED_NOPAIRS=50;
	
	public static final int CALCULATION_THREADS_START=60;
	
	public static final int CALCULATION_THREADS_STOP=70;
	
	
	public static final int CALCULATION_RESULTENTRIES=80;
	//COUNT -> int
	//KEYS -> int
	
	public static final int CALCULATION_NEW_RESULT=90;
	//POS -> int
	//MAX -> int
	//ROUND -> int
	
	public static final int INVALID_RANGE=100;
	
	public static final int INVALID_KEYLENGTH=110;
	
	public static final int NEW_KEYLENGTH_SEARCH_ROUND=120;
	//K1 -> int
	//K2 -> int
	
	
	private int state;
	private HashMap<String,Object> map;
	public CalculatorState()
	{
		this(0);
	}
	public CalculatorState(int state)
	{
		this.state=state;
		this.map=new HashMap<String,Object>();
	}
	
	public int getState()
	{
		return state;
	}
	
	public void addData(String s, Object o)
	{
		map.put(s, o);
	}
	
	public Object getData(String s)
	{
		return map.get(s);
	}
	
}
