package allgemein.core;

import java.util.LinkedList;


public class KeyList extends LinkedList<Key>
{

	private static final long serialVersionUID = 1L;

	public Key get(Key myk)
	{
		for (Key k : this)
			if (k.equals(myk))
				return k;
		return null;
	}
	
	public boolean add(Key k)
	{
		//hashlist.add(k.toString());
		return super.add(k);
		
	}
	
	public void append(KeyList kl)
	{
		for (Key k : kl)
		{
			if (!this.contains(k))
				this.add(k);
		}
	}
	public boolean contains(Key k)
	{		for (Key myk : this)
		{
			if (myk.equals(k))
				return true;
		}
		return false;
	}

	
	public String toString()
	{
		String res = "";
		for (Key k : this)
		{
			res += k;
		}
		//res += "\n";
		
		return res;
	}
	
}
