package allgemein.core;

public class Work 
{
	private int K1len,K2len,Plen;
	private int[][] pairs;
	private KeyList preKey;
	
	public Work(int[][] pairs,int Plen, int K1len, int K2len, KeyList preKey)
	{
		this.Plen=Plen;
		this.K1len=K1len;
		this.K2len=K2len;
		this.pairs=pairs;
		this.preKey=preKey;
	}
	
	public Work(int[][] pairs,int Plen, int K1len, int K2len)
	{
		this(pairs,Plen,K1len, K2len, null);
	}
	public KeyList getPreKey() {
		return preKey;
	}

	public void setPreKey(KeyList preKey) {
		this.preKey = preKey;
	}

	public int getPlen() {
		return Plen;
	}
	public void setPlen(int plen) {
		Plen = plen;
	}
	public int getK1len() {
		return K1len;
	}
	public void setK1len(int k1len) {
		K1len = k1len;
	}
	public int getK2len() {
		return K2len;
	}
	public void setK2len(int k2len) {
		K2len = k2len;
	}
	public int[][] getPairs() {
		return pairs;
	}
	public void setPairs(int[][] pairs) {
		this.pairs = pairs;
	}
	
	

}
