package allgemein.gui;

import java.awt.EventQueue;

import allgemein.core.Calculator;

public class DoppelwuerfelThread extends Thread
{
	
	private DoppelwuerfelModel dwm;
	private Calculator c;
	
	public DoppelwuerfelThread(DoppelwuerfelModel dwm, Calculator c)
	{
		this.dwm = dwm;
		this.c=c;
		this.start();
	}
	
	public void run()
	{
		c.calculate();	
		EventQueue.invokeLater(
			new Runnable() {
				@Override
				public void run() {
					dwm.calculationFinished();
				}
			}
		);
	}

}
